Delete sync job
curl --request DELETE \
--url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/ingest-jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sitegpt.ai/api/v2/chatbots/{chatbotId}/ingest-jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sitegpt.ai/api/v2/chatbots/{chatbotId}/ingest-jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"deletedJob": {
"id": "job-id",
"name": "Example job",
"createdAt": "2026-05-13T00:00:00.000Z"
}
},
"meta": {
"requestId": "request-id"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}Knowledge Sync Jobs
Delete sync job
Disable/delete a recurring knowledge sync/scan job. Existing documents are not deleted. Requires confirm=true.
Required scope: knowledge:write.
DELETE
/
api
/
v2
/
chatbots
/
{chatbotId}
/
ingest-jobs
/
{jobId}
Delete sync job
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required true for destructive actions.
Was this page helpful?
⌘I